Error: libuuid.so.1

can someone help me, i have some error when i press run, i use replit for my Discord BOT. it says like this :

Error: libuuid.so.1: cannot open shared object file: No such file or directory
    at Object.Module._extensions..node (internal/modules/cjs/loader.js:1057:18)
    at Module.load (internal/modules/cjs/loader.js:863:32)
    at Function.Module._load (internal/modules/cjs/loader.js:708:14)
    at Module.require (internal/modules/cjs/loader.js:887:19)
    at require (internal/modules/cjs/helpers.js:74:18)
    at Object.<anonymous> (/home/runner/Jabalan-Host/node_modules/canvas/lib/bindings.js:3:18)
    at Module._compile (internal/modules/cjs/loader.js:999:30)
    at Object.Module._extensions..js (internal/modules/cjs/loader.js:1027:10)
    at Module.load (internal/modules/cjs/loader.js:863:32)

Hey @JabalanProducti, welcome to Ask!

This should fix your issue:

sorry, nothing happen :frowning:
i’m newbie at the coding things, can you help me more.

Are you running it in the Shell?
What errors/messages do you get?

yes i’m running in the shell.
like this right?

@NateDhaliwal @Firepup650 or can you guys open my replit to help me fix that problem please, i’m so confuse with this error.

What are the contents of your replit.nix file?

this :

image

@JabalanProducti After the last pkgs.replitPackages.jest, add pkgs.libuuid.lib as the same indentation level as the other packages.
Then, type kill 1 in the Shell to reload.

1 Like

nothing changed. still some error pop up :cry:

that’s an outdated command for old python repls (better, use nix-editor)


2 Likes

Waw that’s working, thank you so much :+1::+1:

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.